Package org.eclipse.emf.cdo.common.model

## Class CDOPackageRegistryPopulator.Descriptor

- java.lang.Object
- - org.eclipse.emf.cdo.common.model.CDOPackageRegistryPopulator.Descriptor

- All Implemented Interfaces:
    `EPackage.Descriptor`
  Enclosing class:
    CDOPackageRegistryPopulator

      public static class CDOPackageRegistryPopulator.Descriptor
      extends java.lang.Object
      implements EPackage.Descriptor

  A package `descriptor` that resolves `packages` from a `source` package registry.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Descriptor​(EPackage.Registry source, java.lang.String nsURI)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EFactory` | `getEFactory()` |
    `EPackage` | `getEPackage()` |
    `java.lang.String` | `getNsURI()` |
    `EPackage.Registry` | `getSource()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Descriptor

          public Descriptor​(EPackage.Registry source,
                            java.lang.String nsURI)

  - ### Method Detail

    - #### getSource

          public EPackage.Registry getSource()

    - #### getNsURI

          public java.lang.String getNsURI()

    - #### getEFactory

          public EFactory getEFactory()

      Specified by:
        `getEFactory` in interface `EPackage.Descriptor`

    - #### getEPackage

          public EPackage getEPackage()

      Specified by:
        `getEPackage` in interface `EPackage.Descriptor`